--- a/src/CMakeLists.txt
+++ b/src/CMakeLists.txt
@@ -88,7 +88,7 @@ if (BUILD_FRAMEWORK)
   set_target_properties (${PROJECT_NAME} PROPERTIES FRAMEWORK TRUE)
 elseif (NOT WIN32)
   set (TARGET_PCS ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.pc)
-  configure_file (${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}.pc.in ${TARGET_PCS})
+  configure_file (${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}.pc.in ${TARGET_PCS} @ONLY)
   install (FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
 endif ()
 
@@ -112,7 +112,7 @@ if (WITH_LSR_BINDINGS)
     set_target_properties (${LSR} PROPERTIES FRAMEWORK TRUE)
   elseif (NOT WIN32)
     set (TARGET_PCS "${TARGET_PCS} ${CMAKE_CURRENT_BINARY_DIR}/${LSR}.pc")
-    configure_file (${CMAKE_CURRENT_SOURCE_DIR}/${LSR}.pc.in ${CMAKE_CURRENT_BINARY_DIR}/${LSR}.pc)
+    configure_file (${CMAKE_CURRENT_SOURCE_DIR}/${LSR}.pc.in ${CMAKE_CURRENT_BINARY_DIR}/${LSR}.pc @ONLY)
     install (FILES ${CMAKE_CURRENT_BINARY_DIR}/${LSR}.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
   endif ()
 endif ()
--- a/src/soxr-lsr.pc.in
+++ b/src/soxr-lsr.pc.in
@@ -1,5 +1,10 @@
-Name: ${LSR}
-Description: ${DESCRIPTION_SUMMARY} (with libsamplerate-like bindings)
-Version: ${PROJECT_VERSION}
-Libs: -L${LIB_INSTALL_DIR} -l${LSR}
-Cflags: -I${INCLUDE_INSTALL_DIR}
+prefix=@CMAKE_INSTALL_PREFIX@
+exec_prefix=@CMAKE_INSTALL_PREFIX@
+libdir=${exec_prefix}/lib
+includedir=${prefix}/include
+
+Name: @LSR@
+Description: @DESCRIPTION_SUMMARY@ (with libsamplerate-like bindings)
+Version: @PROJECT_VERSION@
+Libs: -L${libdir} -l@LSR@
+Cflags: -I${includedir}
--- a/src/soxr.pc.in
+++ b/src/soxr.pc.in
@@ -1,5 +1,10 @@
-Name: ${PROJECT_NAME}
-Description: ${DESCRIPTION_SUMMARY}
-Version: ${PROJECT_VERSION}
-Libs: -L${LIB_INSTALL_DIR} -l${PROJECT_NAME}
-Cflags: -I${INCLUDE_INSTALL_DIR}
+prefix=@CMAKE_INSTALL_PREFIX@
+exec_prefix=@CMAKE_INSTALL_PREFIX@
+libdir=${exec_prefix}/lib
+includedir=${prefix}/include
+
+Name: @PROJECT_NAME@
+Description: @DESCRIPTION_SUMMARY@
+Version: @PROJECT_VERSION@
+Libs: -L${libdir} -l@PROJECT_NAME@
+Cflags: -I${includedir}
